<?xml version='1.0' encoding='UTF-8' standalone='no'?>
<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:noNamespaceSchemaLocation="compound.xsd" version="1.8.11">
  <compounddef id="class_admin_users_library_manager" kind="class" language="C++" prot="public">
    <compoundname>AdminUsersLibraryManager</compoundname>
    <basecompoundref refid="class_admin_library_manager" prot="public" virt="non-virtual">AdminLibraryManager</basecompoundref>
    <includes refid="_admin_users_library_manager_8h" local="no">AdminUsersLibraryManager.h</includes>
      <sectiondef kind="private-attrib">
      <memberdef kind="variable" id="class_admin_users_library_manager_1a430c186633c1a49976cb5f36f9eddffa" prot="private" static="no" mutable="no">
        <type><ref refid="class_user_adder_dialog" kindref="compound">UserAdderDialog</ref> *</type>
        <definition>UserAdderDialog* AdminUsersLibraryManager::addUserDialog</definition>
        <argsstring></argsstring>
        <name>addUserDialog</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="143" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" bodystart="143" bodyend="-1"/>
      </memberdef>
      <memberdef kind="variable" id="class_admin_users_library_manager_1a70c273c975ac8c109db37b4d2ef2491d" prot="private" static="no" mutable="no">
        <type><ref refid="class_user_editor_dialog" kindref="compound">UserEditorDialog</ref> *</type>
        <definition>UserEditorDialog* AdminUsersLibraryManager::editUserDialog</definition>
        <argsstring></argsstring>
        <name>editUserDialog</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="144" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" bodystart="144" bodyend="-1"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="public-func">
      <memberdef kind="function" id="class_admin_users_library_manager_1ae46c10ae7a89c79a4121db0e17573033" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type></type>
        <definition>AdminUsersLibraryManager::AdminUsersLibraryManager</definition>
        <argsstring>(QWidget *parent=0)</argsstring>
        <name>AdminUsersLibraryManager</name>
        <param>
          <type>QWidget *</type>
          <declname>parent</declname>
          <defval>0</defval>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>New widget <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>parent</parametername>
</parameternamelist>
<parameterdescription>
<para>widget to show widget in </para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>new widget</para></simplesect>
Copyright 2016-2017 Stefano Fogarollo</para><para>Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="38" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="23" bodyend="30"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="public-slot">
      <memberdef kind="slot" id="class_admin_users_library_manager_1a6e84e1cce8f7e66bd610adfefba9737e" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::search</definition>
        <argsstring>()</argsstring>
        <name>search</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Search library for user </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="45" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="81" bodyend="83"/>
      </memberdef>
      <memberdef kind="slot" id="class_admin_users_library_manager_1a840999765e03c776542d26810fb9dce4" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::addItem</definition>
        <argsstring>()</argsstring>
        <name>addItem</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Opens dialog to add new item in database </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="50" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="85" bodyend="87"/>
      </memberdef>
      <memberdef kind="slot" id="class_admin_users_library_manager_1ac241d538666eb9518efdc574ceb98d82" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::editItem</definition>
        <argsstring>()</argsstring>
        <name>editItem</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Opens dialog to edit selected item </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="55" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="89" bodyend="91"/>
      </memberdef>
      <memberdef kind="slot" id="class_admin_users_library_manager_1aecdc75b2c88c518d322859875159f7ff" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::removeItem</definition>
        <argsstring>()</argsstring>
        <name>removeItem</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Opens dialog to remove selected item from database </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="60" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="93" bodyend="108"/>
      </memberdef>
      <memberdef kind="slot" id="class_admin_users_library_manager_1a2a7c5516b21ce114aab80e368fc9846d" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::sendEditUserRequest</definition>
        <argsstring>(User user, bool isAdmin, QString password)</argsstring>
        <name>sendEditUserRequest</name>
        <param>
          <type><ref refid="class_user" kindref="compound">User</ref></type>
          <declname>user</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>isAdmin</declname>
        </param>
        <param>
          <type>QString</type>
          <declname>password</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Asks backend to change current user to this new one <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>user</parametername>
</parameternamelist>
<parameterdescription>
<para>new user </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>isAdmin</parametername>
</parameternamelist>
<parameterdescription>
<para>true iff user to display is an admin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>password</parametername>
</parameternamelist>
<parameterdescription>
<para>new password </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="68" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="170" bodyend="175"/>
      </memberdef>
      <memberdef kind="slot" id="class_admin_users_library_manager_1af35dcd502d2f2bc79201c8441a601c15" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::getUserRequestResult</definition>
        <argsstring>(User user, bool isAdmin)</argsstring>
        <name>getUserRequestResult</name>
        <param>
          <type><ref refid="class_user" kindref="compound">User</ref></type>
          <declname>user</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>isAdmin</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Gets backend response to send info about current user <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>user</parametername>
</parameternamelist>
<parameterdescription>
<para>current user </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>isAdmin</parametername>
</parameternamelist>
<parameterdescription>
<para>true iff user to display is an admin </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="77" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="177" bodyend="179"/>
      </memberdef>
      <memberdef kind="slot" id="class_admin_users_library_manager_1a3dd572fcdf6f3fc779b408b536f4c94c" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::getSearchUserRequestResult</definition>
        <argsstring>(std::vector&lt; User &gt; users)</argsstring>
        <name>getSearchUserRequestResult</name>
        <param>
          <type>std::vector&lt; <ref refid="class_user" kindref="compound">User</ref> &gt;</type>
          <declname>users</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Gets search results <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>users</parametername>
</parameternamelist>
<parameterdescription>
<para>list of users matching query </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="83" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="110" bodyend="124"/>
      </memberdef>
      <memberdef kind="slot" id="class_admin_users_library_manager_1a43347bf727ba1230ed52a96e3f0bddad" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::getRemoveUserFromLibraryRequestResult</definition>
        <argsstring>(bool ok)</argsstring>
        <name>getRemoveUserFromLibraryRequestResult</name>
        <param>
          <type>bool</type>
          <declname>ok</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Sends request to backend to remove user from library <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ok</parametername>
</parameternamelist>
<parameterdescription>
<para>true iff operation went well </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="89" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="126" bodyend="137"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="signal">
      <memberdef kind="signal" id="class_admin_users_library_manager_1acdda0722f5574876dd1b95594589ca29" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::sendUserRequest</definition>
        <argsstring>(QString username)</argsstring>
        <name>sendUserRequest</name>
        <param>
          <type>QString</type>
          <declname>username</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Asks backend to send info about current user <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>username</parametername>
</parameternamelist>
<parameterdescription>
<para>username of user to get info about </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="98" column="1"/>
      </memberdef>
      <memberdef kind="signal" id="class_admin_users_library_manager_1a95bf77f1f271264f4d9889200d91cd96" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::sendSearchUserRequest</definition>
        <argsstring>(QString id, QString name)</argsstring>
        <name>sendSearchUserRequest</name>
        <param>
          <type>QString</type>
          <declname>id</declname>
        </param>
        <param>
          <type>QString</type>
          <declname>name</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Sends request to backend to search database for given user <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>id</parametername>
</parameternamelist>
<parameterdescription>
<para>email of user to search </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>name</parametername>
</parameternamelist>
<parameterdescription>
<para>name of user to search </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="105" column="1"/>
      </memberdef>
      <memberdef kind="signal" id="class_admin_users_library_manager_1a5cf7536297c50dc0462aad73b2959527" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::sendAddUserToLibraryRequest</definition>
        <argsstring>(User user, bool makeAdmin)</argsstring>
        <name>sendAddUserToLibraryRequest</name>
        <param>
          <type><ref refid="class_user" kindref="compound">User</ref></type>
          <declname>user</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>makeAdmin</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Sends request to backend to add new user to library <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>user</parametername>
</parameternamelist>
<parameterdescription>
<para>new user to add </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>makeAdmin</parametername>
</parameternamelist>
<parameterdescription>
<para>true iff new user should be an admin </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="112" column="1"/>
      </memberdef>
      <memberdef kind="signal" id="class_admin_users_library_manager_1a86e86ab1471f38a1907dd69149c8706a" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::sendEditUserInLibraryRequest</definition>
        <argsstring>(QString oldId, User newUser, bool isAdmin, QString newPassword)</argsstring>
        <name>sendEditUserInLibraryRequest</name>
        <param>
          <type>QString</type>
          <declname>oldId</declname>
        </param>
        <param>
          <type><ref refid="class_user" kindref="compound">User</ref></type>
          <declname>newUser</declname>
        </param>
        <param>
          <type>bool</type>
          <declname>isAdmin</declname>
        </param>
        <param>
          <type>QString</type>
          <declname>newPassword</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Sends request to backend to edit user <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>oldId</parametername>
</parameternamelist>
<parameterdescription>
<para>email of user to edit </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>newUser</parametername>
</parameternamelist>
<parameterdescription>
<para>new user </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>isAdmin</parametername>
</parameternamelist>
<parameterdescription>
<para>true iff user to display is an admin </para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>newPassword</parametername>
</parameternamelist>
<parameterdescription>
<para>password of new user </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="121" column="1"/>
      </memberdef>
      <memberdef kind="signal" id="class_admin_users_library_manager_1a7cfdef06fd1f3f129645c2df0f4aedec" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::sendRemoveUserFromLibraryRequest</definition>
        <argsstring>(User user)</argsstring>
        <name>sendRemoveUserFromLibraryRequest</name>
        <param>
          <type><ref refid="class_user" kindref="compound">User</ref></type>
          <declname>user</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Sends request to backend to remove user from library <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>user</parametername>
</parameternamelist>
<parameterdescription>
<para>user to remove </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="127" column="1"/>
      </memberdef>
      <memberdef kind="signal" id="class_admin_users_library_manager_1aa37e06de4238dea20dfd2632726b8fdd" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::sendAddUserToLibraryRequestResult</definition>
        <argsstring>(bool ok)</argsstring>
        <name>sendAddUserToLibraryRequestResult</name>
        <param>
          <type>bool</type>
          <declname>ok</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Sends request to backend to add new user to library <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ok</parametername>
</parameternamelist>
<parameterdescription>
<para>true iff operation went well </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="134" column="1"/>
      </memberdef>
      <memberdef kind="signal" id="class_admin_users_library_manager_1aa84128ee88d2362df4df89d02a4b1311" prot="public" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::sendEditUserInLibraryRequestResult</definition>
        <argsstring>(bool ok)</argsstring>
        <name>sendEditUserInLibraryRequestResult</name>
        <param>
          <type>bool</type>
          <declname>ok</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Sends request to backend to edit user <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>ok</parametername>
</parameternamelist>
<parameterdescription>
<para>true iff operation went well </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="140" column="1"/>
      </memberdef>
      </sectiondef>
      <sectiondef kind="private-func">
      <memberdef kind="function" id="class_admin_users_library_manager_1a1302178379e75bf18221917f60551323" prot="private" static="no" const="no" explicit="no" inline="no" virt="virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::setup</definition>
        <argsstring>()</argsstring>
        <name>setup</name>
        <reimplements refid="class_admin_library_manager_1ad78c16165b17801949511ef2796ecd5f">setup</reimplements>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Setups gui </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="149" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="32" bodyend="44"/>
      </memberdef>
      <memberdef kind="function" id="class_admin_users_library_manager_1aac2db2f100911c840d17c369bd6222a4" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::setupButtons</definition>
        <argsstring>()</argsstring>
        <name>setupButtons</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Setups add/edit/remove buttons </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="154" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="155" bodyend="168"/>
      </memberdef>
      <memberdef kind="function" id="class_admin_users_library_manager_1a9e581b35edfa2376778c8303b6d94e47" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::populateSearchBox</definition>
        <argsstring>(std::vector&lt; User &gt; users)</argsstring>
        <name>populateSearchBox</name>
        <param>
          <type>std::vector&lt; <ref refid="class_user" kindref="compound">User</ref> &gt;</type>
          <declname>users</declname>
        </param>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Adds list of found users to search box <parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>users</parametername>
</parameternamelist>
<parameterdescription>
<para>list of users matching query </para></parameterdescription>
</parameteritem>
</parameterlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="160" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="46" bodyend="56"/>
      </memberdef>
      <memberdef kind="function" id="class_admin_users_library_manager_1a8435bcdc0522389b8648bf73d0dad37d" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type><ref refid="class_user" kindref="compound">User</ref> *</type>
        <definition>User * AdminUsersLibraryManager::getSelectedUser</definition>
        <argsstring>()</argsstring>
        <name>getSelectedUser</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Parses currently selected list item and builds user object <simplesect kind="return"><para>currently selected user </para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="166" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="58" bodyend="66"/>
      </memberdef>
      <memberdef kind="function" id="class_admin_users_library_manager_1a85c7435e643789227d8e7d9b64dae45e" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::openAddUserDialog</definition>
        <argsstring>()</argsstring>
        <name>openAddUserDialog</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Opens dialog to add new user to library </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="171" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="68" bodyend="71"/>
      </memberdef>
      <memberdef kind="function" id="class_admin_users_library_manager_1a91dea0413674257adfaf32fa61335b6a" prot="private" static="no" const="no" explicit="no" inline="no" virt="non-virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::openEditUserDialog</definition>
        <argsstring>()</argsstring>
        <name>openEditUserDialog</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Opens dialog to edit user </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="176" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="73" bodyend="79"/>
      </memberdef>
      <memberdef kind="function" id="class_admin_users_library_manager_1a854594fbe77bf31121a95dedde6b9282" prot="private" static="no" const="no" explicit="no" inline="no" virt="virtual">
        <type>void</type>
        <definition>void AdminUsersLibraryManager::connectSignalsSlots</definition>
        <argsstring>()</argsstring>
        <name>connectSignalsSlots</name>
        <reimplements refid="class_admin_library_manager_1acb0025e768b601acd76138cddb2bc6cb">connectSignalsSlots</reimplements>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
<para>Connect signal and slots of object managed by backend </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="181" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.cpp" bodystart="139" bodyend="153"/>
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
<para>Copyright 2016-2017 Stefano Fogarollo</para><para>Licensed under the Apache License, Version 2.0 (the &quot;License&quot;); you may not use this file except in compliance with the License. You may obtain a copy of the License at</para><para><ulink url="http://www.apache.org/licenses/LICENSE-2.0">http://www.apache.org/licenses/LICENSE-2.0</ulink></para><para>Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an &quot;AS IS&quot; BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License. Lets admin manage users of the library </para>    </detaileddescription>
    <inheritancegraph>
      <node id="185">
        <label>AdminUsersLibraryManager</label>
        <link refid="class_admin_users_library_manager"/>
        <childnode refid="186" relation="public-inheritance">
        </childnode>
      </node>
      <node id="187">
        <label>QWidget</label>
      </node>
      <node id="186">
        <label>AdminLibraryManager</label>
        <link refid="class_admin_library_manager"/>
        <childnode refid="187" relation="public-inheritance">
        </childnode>
      </node>
    </inheritancegraph>
    <collaborationgraph>
      <node id="188">
        <label>AdminUsersLibraryManager</label>
        <link refid="class_admin_users_library_manager"/>
        <childnode refid="189" relation="public-inheritance">
        </childnode>
      </node>
      <node id="190">
        <label>QWidget</label>
      </node>
      <node id="189">
        <label>AdminLibraryManager</label>
        <link refid="class_admin_library_manager"/>
        <childnode refid="190" relation="public-inheritance">
        </childnode>
      </node>
    </collaborationgraph>
    <location file="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" line="29" column="1" bodyfile="gui/widgets/AdminUsersLibraryManager/AdminUsersLibraryManager.h" bodystart="29" bodyend="182"/>
    <listofallmembers>
      <member refid="class_admin_library_manager_1a73ffe008628ccc754165902f123f0dc1" prot="protected" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>addButton</name></member>
      <member refid="class_admin_users_library_manager_1a840999765e03c776542d26810fb9dce4" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>addItem</name></member>
      <member refid="class_admin_users_library_manager_1a430c186633c1a49976cb5f36f9eddffa" prot="private" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>addUserDialog</name></member>
      <member refid="class_admin_library_manager_1a51b64c42d4ce0fc1a39134e7dd388ef3" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>AdminLibraryManager</name></member>
      <member refid="class_admin_users_library_manager_1ae46c10ae7a89c79a4121db0e17573033" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>AdminUsersLibraryManager</name></member>
      <member refid="class_admin_library_manager_1ab61a1d7306f123995ccbf9215edb29a4" prot="protected" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>buttonsArea</name></member>
      <member refid="class_admin_users_library_manager_1a854594fbe77bf31121a95dedde6b9282" prot="private" virt="virtual"><scope>AdminUsersLibraryManager</scope><name>connectSignalsSlots</name></member>
      <member refid="class_admin_library_manager_1ade0bf9241ca57cd4cdd02fabfb699a44" prot="protected" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>editButton</name></member>
      <member refid="class_admin_users_library_manager_1ac241d538666eb9518efdc574ceb98d82" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>editItem</name></member>
      <member refid="class_admin_users_library_manager_1a70c273c975ac8c109db37b4d2ef2491d" prot="private" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>editUserDialog</name></member>
      <member refid="class_admin_library_manager_1a90763ecd1107629d5029bec939d196fa" prot="protected" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>findByIdInput</name></member>
      <member refid="class_admin_library_manager_1a52197860c871634ea6e881d14c4a98c5" prot="protected" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>findByNameInput</name></member>
      <member refid="class_admin_users_library_manager_1a43347bf727ba1230ed52a96e3f0bddad" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>getRemoveUserFromLibraryRequestResult</name></member>
      <member refid="class_admin_users_library_manager_1a3dd572fcdf6f3fc779b408b536f4c94c" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>getSearchUserRequestResult</name></member>
      <member refid="class_admin_users_library_manager_1a8435bcdc0522389b8648bf73d0dad37d" prot="private" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>getSelectedUser</name></member>
      <member refid="class_admin_users_library_manager_1af35dcd502d2f2bc79201c8441a601c15" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>getUserRequestResult</name></member>
      <member refid="class_admin_users_library_manager_1a85c7435e643789227d8e7d9b64dae45e" prot="private" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>openAddUserDialog</name></member>
      <member refid="class_admin_users_library_manager_1a91dea0413674257adfaf32fa61335b6a" prot="private" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>openEditUserDialog</name></member>
      <member refid="class_admin_users_library_manager_1a9e581b35edfa2376778c8303b6d94e47" prot="private" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>populateSearchBox</name></member>
      <member refid="class_admin_library_manager_1a898026f8e6f36bdfb00c580b77c082a8" prot="protected" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>removeButton</name></member>
      <member refid="class_admin_users_library_manager_1aecdc75b2c88c518d322859875159f7ff" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>removeItem</name></member>
      <member refid="class_admin_users_library_manager_1a6e84e1cce8f7e66bd610adfefba9737e" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>search</name></member>
      <member refid="class_admin_library_manager_1afff09703fac7b47f5116895fd99a0597" prot="protected" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>searchBoxArea</name></member>
      <member refid="class_admin_library_manager_1ada3f3034d1b289427464c2be1cc375c2" prot="protected" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>searchButton</name></member>
      <member refid="class_admin_library_manager_1a2753ff61f6a78c5028c1d8605bd76cec" prot="protected" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>searchResultsArea</name></member>
      <member refid="class_admin_library_manager_1a041486878a94ee918db5c24a55883e87" prot="protected" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>searchResultsList</name></member>
      <member refid="class_admin_library_manager_1a59f0cac727aae79f15bbd6095c692d69" prot="protected" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>selectedItem</name></member>
      <member refid="class_admin_users_library_manager_1a5cf7536297c50dc0462aad73b2959527" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>sendAddUserToLibraryRequest</name></member>
      <member refid="class_admin_users_library_manager_1aa37e06de4238dea20dfd2632726b8fdd" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>sendAddUserToLibraryRequestResult</name></member>
      <member refid="class_admin_users_library_manager_1a86e86ab1471f38a1907dd69149c8706a" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>sendEditUserInLibraryRequest</name></member>
      <member refid="class_admin_users_library_manager_1aa84128ee88d2362df4df89d02a4b1311" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>sendEditUserInLibraryRequestResult</name></member>
      <member refid="class_admin_users_library_manager_1a2a7c5516b21ce114aab80e368fc9846d" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>sendEditUserRequest</name></member>
      <member refid="class_admin_users_library_manager_1a7cfdef06fd1f3f129645c2df0f4aedec" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>sendRemoveUserFromLibraryRequest</name></member>
      <member refid="class_admin_users_library_manager_1a95bf77f1f271264f4d9889200d91cd96" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>sendSearchUserRequest</name></member>
      <member refid="class_admin_users_library_manager_1acdda0722f5574876dd1b95594589ca29" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>sendUserRequest</name></member>
      <member refid="class_admin_library_manager_1ac399beaf3586b22edc47994502bb4946" prot="public" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>setCurrentSelectedItem</name></member>
      <member refid="class_admin_users_library_manager_1a1302178379e75bf18221917f60551323" prot="private" virt="virtual"><scope>AdminUsersLibraryManager</scope><name>setup</name></member>
      <member refid="class_admin_users_library_manager_1aac2db2f100911c840d17c369bd6222a4" prot="private" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>setupButtons</name></member>
      <member refid="class_admin_library_manager_1a588ee7ab6755c681e967e347ac56d627" prot="protected" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>setupSearchBox</name></member>
      <member refid="class_admin_library_manager_1a6811de04a670a1a66112e5f8e7d83988" prot="protected" virt="non-virtual"><scope>AdminUsersLibraryManager</scope><name>setupSearchResultBox</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>
